package com.bonus.canteen.core.cook.service;

import java.util.List;
import com.bonus.canteen.core.cook.domain.CookMaterial;

/**
 * 原料信息Service接口
 * 
 * @author xsheng
 * @date 2025-05-25
 */
public interface ICookMaterialService {
    /**
     * 查询原料信息
     * 
     * @param materialId 原料信息主键
     * @return 原料信息
     */
    public CookMaterial selectCookMaterialByMaterialId(Long materialId);

    /**
     * 查询原料信息列表
     * 
     * @param cookMaterial 原料信息
     * @return 原料信息集合
     */
    public List<CookMaterial> selectCookMaterialList(CookMaterial cookMaterial);

    /**
     * 新增原料信息
     * 
     * @param cookMaterial 原料信息
     * @return 结果
     */
    public int insertCookMaterial(CookMaterial cookMaterial);

    /**
     * 修改原料信息
     * 
     * @param cookMaterial 原料信息
     * @return 结果
     */
    public int updateCookMaterial(CookMaterial cookMaterial);

    /**
     * 批量删除原料信息
     * 
     * @param materialIds 需要删除的原料信息主键集合
     * @return 结果
     */
    public int deleteCookMaterialByMaterialIds(Long[] materialIds);

    /**
     * 删除原料信息信息
     * 
     * @param materialId 原料信息主键
     * @return 结果
     */
    public int deleteCookMaterialByMaterialId(Long materialId);
}
